GREATERTHAN(3G)

NAME
greaterThan - perform a component-wise greater-than comparison of two vectors

DECLARATION

bvec greaterThan(vec x, vec y);

bvec greaterThan(ivec x, ivec y);

bvec greaterThan(uvec x, uvec y);

PARAMETERS

x
    Specifies the first vector to be used in the comparison operation.

y
    Specifies the second vector to be used in the comparison operation.

DESCRIPTION

greaterThan returns a boolean vector in which each element i is computed as x[i] > y[i].

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
greaterThan (vec) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
greaterThan (ivec) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
greaterThan (uvec) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

lessThan(), lessThanEqual(), greaterThanEqual(), equal(), notEqual(), any(), all(), not()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group